/* 
 * Thomas Pantzer: t_sensor.h, v0.1b  8.6.99 16:49 
 * 
 * 
 * Copyright 1999 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@isys2.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */



#ifndef _T_SENSOR_H
#define _T_SENSOR_H

#include "t_floating_avg.h"
	
class t_Sensor : public t_laverage {
public:
	double Loc,Value,ClipV;		// location as polar angle
//	t_Range Range;
//	int alen;

	void Init(double loc, double avg, int len);
	void Set(double d);

//	double Avg(void); 
//	double Value(void);
//	double Location(void);
};


class t_SensorGroup {
public:
	t_Sensor **Sensor;
	t_Range Range,total_Range;
	int nsensors;
	int min_idx,max_idx;

	void Init(int n, double avg, int alen, double loc[]); 
	void Reset(double avg, int alen, double loc[]); 
	void Done(void);

	void Update(double val[]);
	double Information(void);
	double GetRange(void);
};



#endif







/**/
/**/
/**/
/**/
/**/
/**/
/**/
/**/
/*****  End Of File  ****************************/
